#!/bin/sh

top_dir=`pwd`
shared_dir=`pwd`/../shared
source_dir=`pwd`/xml-source
processing_dir=`pwd`/processing
output_dir=`pwd`/build
fop_dir="$shared_dir/fop"
export CLASSPATH=$CLASSPATH:$shared_dir:$fop_dir/build/fop.jar:$fop_dir/lib

if [ ! -d $output_dir ]; then
  mkdir $output_dir
fi

langs="en " #fr es ru
manuals="Develop Install Paper" #User

for l in $langs; do
    echo "Processing $l version"
    if [ ! -d $output_dir/$l ]; then		 
	    mkdir $output_dir/$l
	  fi
    mkdir $output_dir/$l/pdf
    
    for m in $manuals; do    				
			$fop_dir/fop.sh -q -xsl $processing_dir/xml-to-pdf.xsl -xml $source_dir/$l/"$m"_"$l".xml -pdf $output_dir/$l/pdf/"$m"_"$l".pdf
    done
done

